@keyframes anim12               {  0% {margin-top:0;    }  8% {margin-top:-1em; } 17% {margin-top:-2em; } 25% {margin-top:-3em; } 33% {margin-top:-4em; } 42% {margin-top:-5em; } 50% {margin-top:-6em; } 58% {margin-top:-7em; } 67% {margin-top:-8em; } 75% {margin-top:-9em; } 83% {margin-top:-10em;} 92% {margin-top:-11em;} }
@-webkit-keyframes anim12       {  0% {margin-top:0;    }  8% {margin-top:-1em; } 17% {margin-top:-2em; } 25% {margin-top:-3em; } 33% {margin-top:-4em; } 42% {margin-top:-5em; } 50% {margin-top:-6em; } 58% {margin-top:-7em; } 67% {margin-top:-8em; } 75% {margin-top:-9em; } 83% {margin-top:-10em;} 92% {margin-top:-11em;} }
@font-face                      { font-family: LiberationSans; font-style: normal; font-weight: normal; src: url("../ext/font/liberationsans-regular.ttf") format("truetype"); }
@font-face                      { font-family: LiberationSans; font-style: normal; font-weight: bold; src: url("../ext/font/liberationsans-bold.ttf") format("truetype"); }
@font-face                      { font-family: LiberationSans; font-style: italic; font-weight: normal; src: url("../ext/font/liberationsans-italic.ttf") format("truetype"); }
@font-face                      { font-family: LiberationSans; font-style: italic; font-weight: bold; src: url("../ext/font/liberationsans-bolditalic.ttf") format("truetype"); }

*                               { margin:0; padding:0; overflow:hidden; outline:none; -webkit-touch-callout: none; -webkit-tap-highlight-color: rgba(0,0,0,0); -webkit-text-size-adjust: none; touch-action:none; }
a                               { color:inherit; text-decoration:none; border:none; outline:none; }
body                            { font-size:20px; background-color:#1a1a1a; overflow:hidden; font-family: LiberationSans, serif; background-image:url("../res/img/default/background/jlodb01.svg"); background-repeat:repeat; }
body>div                        { border:4px solid white; background-color: black; margin:0 auto; width:16em; height:12em; position:relative; top:-2px; left:-4px; }
div								{ -webkit-touch-callout: none; -webkit-user-select: none; -khtml-user-select: none; -moz-user-select: none; -ms-user-select: none; user-select: none; }
img                             { border:none; outline: none; display:block; pointer-events: none; -khtml-user-select: none; -o-user-select: none; -moz-user-select: none; -webkit-user-select: none; user-select: none;}
input							{ display: block; }
math                            { display: block; text-align: center; }
select                          { display: block; appearance:none; -webkit-appearance:none; -moz-appearance:none; }
svg image                       { pointer-events: none; -khtml-user-select: none; -o-user-select: none; -moz-user-select: none; -webkit-user-select: none; user-select: none;}
svg use                         { pointer-events: none; }
table                    		{ border-collapse:collapse; border-spacing:0;  font-size:1em; }
table td                        { margin:0; padding:0; }
textarea                        { resize:none;  }
ul                              { list-style:none; }

/* FIXED CLASSES */
.overflow						{ overflow:visible; }
.overflow *						{ overflow:visible; }
.left                           { float:left; }
.right                          { float:right; }
.center                         { margin:0 auto; text-align:center; }
.clear                          { clear:both; }
.help                           { cursor:help; }
.icon                           { width:1em; height:1em; text-align:center; }
.char                           { width:1.2em; height:1.2em; text-align:center; }
.card                           { width:1.65em; height:2.4em; }
.small							{ font-size:0.5em; }

/* RESERVED CLASSES */
.s                              { /* FOR SELECTION OR TOUCH */ }
.good                           { /* FOR EFFECTS */ }
.wrong                          { /* FOR EFFECTS */ }

/* GENERIC CLASSES OR OBJECTS */
.g_anim12                       { width:1em; height:1em; position:absolute; display:none; }
.g_anim12.g_acenter				{ margin-top:-.5em; margin-left:-.5em; }
.g_anim12 div                   { position:relative; width:1em; height:12em; animation-duration: 1s; animation-name:anim12; animation-timing-function:step-start; animation-iteration-count:infinite; animation-play-state:paused; -webkit-animation-duration: 1s; -webkit-animation-name:anim12; -webkit-animation-timing-function:step-start; -webkit-animation-iteration-count:infinite; -webkit-animation-play-state:paused; }
.g_anim12 div.g_arunning        { animation-play-state:running; -webkit-animation-play-state:running; }
.g_anim12.g_anoloop div         { animation-iteration-count:1; -webkit-animation-iteration-count:1; margin-top:-11em; }
.g_anim12.g_aquick div          { animation-duration: 0.75s; -webkit-animation-duration: 0.75s; }
.g_anim12.g_aflash div          { animation-duration: 0.5s; -webkit-animation-duration: 0.5s; }
.g_control                      { width:1em; height:1em; cursor:pointer; }
.g_control .g_cdown             { display:none; }
.g_control.s .g_cup             { display:none; }
.g_control.s .g_cdown           { display:inherit; }
.g_pointer                      { cursor:pointer; }
.g_bluekey                      { background-color:rgba(84,137,184,0.9); -webkit-transition: background-color 1000ms ease-in; -moz-transition: background-color 1000ms ease-in; -o-transition: background-color 1000ms ease-in; -ms-transition: background-color 1000ms ease-in; transition: background-color 1000ms ease-in; }
.g_bluekey.g_ktouch             { background-color:rgba(256,220,50,0.9); -webkit-transition: none; -moz-transition: none; -o-transition: none; -ms-transition: none; transition: none; }
.g_alphakey                     { background-color:rgba(0,0,0,0); -webkit-transition: background-color 1000ms ease-in; -moz-transition: background-color 1000ms ease-in; -o-transition: background-color 1000ms ease-in; -ms-transition: background-color 1000ms ease-in; transition: background-color 1000ms ease-in; }
.g_alphakey.g_ktouch            { background-color:rgba(256,220,50,0.9); -webkit-transition: none; -moz-transition: none; -o-transition: none; -ms-transition: none; transition: none; }
.t_strong           			{ color:red; font-weight:bold; border: 1px solid red; border-width:1px 0; }
.t_svg      					{ background-color:rgba(0,0,0,0.2); font-size:6em; }
.t_svg>div  					{ width:1em; height:1em; margin:0 auto; }
.t_code	                        { background-color:rgba(0,40,0,0.9); color:lime; padding:.5em; margin:.4em 0;font-family: "Courier New",Courier,monospace; }

#g_effects						{ display:none; width:5em; height:5em; position:absolute; top:0.5em; left:10.5em;  z-index:20;}
#g_effects>div					{ font-size:5em; width:1em; height:1em; display:none;}
#g_effects.good					{ display:inline; }
#g_effects.good>#g_egood        { display:inline; }
#g_effects.wrong                { display:inline; }
#g_effects.wrong>#g_ewrong      { display:inline; }
#g_instructions                 { position:absolute; padding:0.5% 1%; width:88%; height:20%; top:87.5%; left:10%; border-radius:.5em 0 0 0;  background-image:url("../res/img/default/pattern/line01.svg"); background-repeat:repeat; border:.1em solid white;}
#g_instructions.g_ilarge        { top:84%; }
#g_instructions #content        { margin:0 1em; text-align:justify; font-style:italic; }
#g_instructions #tag            { font-size:1em; float:right; width:2.0em; height:1.2em; font-weight:bold; color:white; background-color:black; border-radius:.2em; text-align:center; margin:0 .15em; display:none; cursor:pointer; }
#g_quit                         { font-size:.8em; width:1em; height:1em; position:absolute; top:0; left:0; cursor:pointer; z-index:2001;}
#g_score                        { width:100%; height:100%; position:absolute; top:0; left:0; z-index:2002; background-image:url("../res/img/default/score/background01.svg"); display:none; }
#g_score .g_svalue              { width:1em; height:1em; text-align:center; position:absolute; font-weight:bold; overflow:visible; font-size:3em; opacity:1; top:8%; left:25%; }
#g_score.g_s5 .g_svalue:before  { content:"A"; color:red;}
#g_score.g_s4 .g_svalue:before  { content:"B"; color:orange;}
#g_score.g_s3 .g_svalue:before  { content:"C"; color:green;}
#g_score.g_s2 .g_svalue:before  { content:"D"; color:blue;}
#g_score.g_s1 .g_svalue:before  { content:"E"; color:purple;}
#g_score.g_s0 .g_svalue:before  { content:"F"; color:rgb(64,64,64);}
#g_score.g_s9 .g_svalue:before  { content:""; color:gray; }
#g_score .g_sstar               { position:absolute; font-size:3em; }
#g_score .g_sfire               { position:absolute; font-size:6em; }
#g_score #g_sstar1              { top:31.5%; left:14.2%; }
#g_score #g_sstar2              { top:32%; left:26%; }
#g_score #g_sstar3              { top:31.5%; left:37.5%; }
#g_score #g_sfire1              { top:15%; left:30%; }
#g_score #g_sfire2              { top:5%; left:0;}
#g_score #g_sfire3              { top:15%; left:5;}
#g_score .icon                  { width:1em; height:1em; font-size:1.6em; position:absolute; cursor:pointer; top:49.5%; border-radius:.5em .5em 0 0;}
#g_score #g_sreload             { left:6.6em; }
#g_score #g_smenu               { left:7.7em; }
#g_score #g_snext               { left:8.8em; }
#g_splash                       { height:100%; width:100%; top:0; left:0; position:absolute; z-index:2000; cursor: pointer; font-size:.5em; background-color:rgba(0,0,0,0.3);  }
.nosplash #g_splash             { display:none; }
#g_splash  h1                   { height:1.2em; position:absolute; top:15%; left:55%; font-size:1.5em; background-color:red; width:55%; color:white; text-align:center; border-radius:0 .5em .5em 0; border:.3em solid white; -ms-transform: rotate(45deg); -webkit-transform: rotate(45deg); transform: rotate(45deg); }
#g_submit                       { font-size:1.5em; height:1em;width:1em; cursor:pointer; position:absolute; top:7em; left:0em; z-index:3; }
#g_submit>img                   { display:none;     }
#g_submit>#g_svalid             { display:inline; }
#g_submit.good>#g_svalid        { display:none; }
#g_submit.good>#g_sgood         { display:inline; }
#g_submit.wrong>#g_svalid       { display:none; }
#g_submit.wrong>#g_swrong       { display:inline; }
#g_tip                          { position:absolute;top:0;left:0; width:16em; height:12em;background-color:rgba(0,0,0,0.5); z-index:100; display:none; }
#g_tip>div                      { font-size:.4em; width:20.5em; height:25em; background-color:rgba(255,255,255,0.8); border:.2em solid white; margin-top:5%; margin-left:45%; }
#g_tip #g_tpop                  { position:absolute; width:1em; height:1em; top:0; left:30%; font-size:8em;display:none; }
#g_tip .g_tline                 { border:.2em solid white; height:6em; margin:.1em; cursor:help; opacity:0.2;}
#g_tip .g_tline.s               { opacity:1; }
#g_tip .g_tline.f               { opacity:1; }
#g_tip .g_tnum1                 { background-color:rgba(150,250,150,0.8); }
#g_tip .g_tnum2                 { background-color:rgba(220,220,180,0.8); }
#g_tip .g_tnum3                 { background-color:rgba(250,150,150,0.8); }
#g_tip .g_tline .label          { font-size:5em; float:left; width:1em; text-align:center; font-weight:bold; color:rgba(0,0,0,0.5); }
#g_tip .g_tline .content        { text-align:justify; margin-right:.4em; }
#g_tip #g_tvalid                { margin-top:.5em; display:none; }
#g_tip #g_tvalid .icon          { cursor:pointer; font-size:4em; float:right; margin:.05em; }
#g_tip #g_tvalid .label         { font-size:0.8em; margin:0 0.5em; text-align:justify; font-style:italic; width:13em; }
#g_tbutton                      { position:relative; }
#g_tbutton>div                  { position:absolute; font-size:.25em; top:2.6em; left:2.6em; background-color:#444; color:white; width:1.2em; height:1.2em; text-align:center; border-radius:.5em; overflow:visible;}

.jlodb                          { width:100%; height:100%; background-color:black; position:absolute; top:0; left:0; display:none; z-index:2000;}
.jlodb #activity                { width:100%; height:100%; position:relative; -webkit-touch-callout: none; -webkit-user-select: none; -khtml-user-select: none; -moz-user-select: none; -ms-user-select: none; user-select: none; }
.jlodb #activity .edit			{ display:none; }
.jlodb #activity.edit .edit		{ display:inherit; }


.j_editor                       { background-color:#555; font-size:.5em; position:relative; width:32em; height:24em; }
.j_editor .j_epart			    { font-size:.96em; float:left; margin:.1em .2em; border:.1em solid white; background-color:#222; position:relative; }
.j_editor .j_epart>div		    { width:101%;height:100%; }
.j_editor .j_epanel             { width:16em; height:12em; }
.j_editor .j_ecol			    { width:16em; height:24.4em; }


.j_editor .j_epart .l			{ width:99%; height:1.2em; font-size:1em; color:white; margin:.1em .05em; text-align:center; cursor:pointer; border:0; float:left;  }
.j_editor .j_epart .l.d2		{ width:49%; }
.j_editor #e_control textarea			{ font-size:0.6em; background-color:#222; color:white; border:0; width:99%; height:94%; }
.j_editor #e_control .l { color:white; text-align:center; cursor:pointer; }

/*============== MENU =======================*/

.jmenu                          { position:relative; height:100%; overflow:auto;}
.jmenu .slider                  { font-size:.6em; width:1em; height:96%; background-color:rgba(0,0,0,0.5); float:right; border-radius:.5em; position:relative; z-index:3; margin-top:1%; margin-right:1%;}
.jmenu .slider .cursor          { width:1em; height:1em; background-color:white; border-radius:.5em; cursor:move;}
.jmenu .menu                    { margin:.1em; position:relative; overflow:visible; }
.jmenu .menu.large              { font-size:2.4em; }
.jmenu .menu .icon.gtc          { letter-spacing:-.1em;}
.jmenu .menu .icon              { background-image:url("../res/img/default/icon/menu01bg.svg"); background-size:100%; font-weight:bold; margin:.01em; float:left; cursor:pointer; width:1em; height:1em; overflow:visible; }
.jmenu .menu .icon.gtc .legend  { text-align:left; margin-left:.1em; }
.jmenu .menu .icon .legend      { position:relative; color:white; font-size:.66em; width:1.5em; text-align:center;}
.jmenu .menu .icon .legend.s    { font-size:.5em; width:2em;}
.jmenu .menu .icon .state       { position:relative; overflow:visible; top:-.8em;  background-size:100%; height:1em; width:1em; }
.jmenu .icon .state.sl          { background-image:url("../res/img/default/icon/menu01lock.svg"); }
.jmenu .icon .state.s2          { background-image:url("../res/img/default/icon/menu01st0.svg"); }
.jmenu .icon .state.s3          { background-image:url("../res/img/default/icon/menu01st1.svg"); }
.jmenu .icon .state.s4          { background-image:url("../res/img/default/icon/menu01st2.svg"); }
.jmenu .icon .state.s5          { background-image:url("../res/img/default/icon/menu01st3.svg"); }
.jmenu .header                  { width:100%; height:10%; background-color:rgba(0,0,0,0.5); position:absolute;top:0; z-index:2; display:none;}
.jmenu .footer                  { width:100%; height:10%; background-color:rgba(0,0,0,0.5); position:absolute;top:90%; z-index:2; display:none;}
.theme2 .jmenu .menu .icon      { background-image:url("../res/img/default/icon/menu02bg.svg"); }

/*============== MATHEMATICAL TREE FORMULA EDITOR =======================*/

.editor                         { width:6em; height:5em; background-color:#030; background-repeat:repeat; background-image:url("../res/img/default/pattern/line04.svg"); position:relative; }
.editor>div                     { position:absolute;overflow:visible;}
.ebutton                        { color:lime; font-size:.2em; cursor:pointer; border:1px solid lime; display:none;  width:10em; text-align:center; background-color:rgba(100,255,100,0.1); position:absolute; }
.ea                             { width:1em; height:1em; text-align:center; cursor:move; color:#352222; border-radius:.2em; z-index:3; background-image:url("../res/img/action/nothing.svg"); }
.ea>span                        { position:relative; }
.ea .label                      { font-size:.8em; }
.ea.ui-draggable-dragging       { opacity:0.9; }
.ea.op                          { background-image:url("../res/img/action/nothing2.svg"); }
.editor .ed                     { width:1.2em;height:1.2em; background-color:rgba(0,32,0,0.5); border-radius:.1em; border:.1em solid #106410; position:absolute; z-index:2; }
.editor .ed.over                { border:.1em solid #20AA20; background-color:rgba(50,128,50,0.5); }
.editor .ed>.ea                 { margin:.1em; }
.editor .el                     { position:absolute; height:0.3em; border:1em solid #106410; z-index:1;  border-width:.05em 0 0 .05em; border-radius:.15em 0 0 0; }
.editor .el.el0                 { border-width:0 0 0 .05em; height:0.22em; border-radius:0; }
.editor .el.el1                 { border-width:0 0 0 .05em; border-radius:0; }
.editor .el.el2                 { border-width:.05em .05em 0 0; border-radius:0 .15em 0 0; }


